# Poco::Zip

# class AutoDetectStreamBuf

Library: Zip
Package: Zip
Header: Poco/Zip/AutoDetectStream.h

## Description

A AutoDetectStreamBuf is a class that limits one view on an inputstream to a selected view range

## Inheritance

Direct Base Classes: Poco::BufferedStreamBuf

All Base Classes: Poco::BufferedStreamBuf

## Member Summary

Member Functions: readFromDevice, writeToDevice

## Constructors

### AutoDetectStreamBuf

AutoDetectStreamBuf(
std::ostream & out
);

Creates the AutoDetectStream. If initStream is true the status of the stream will be cleared on the first access, and the stream will be repositioned to position start

### AutoDetectStreamBuf

AutoDetectStreamBuf(
std::istream & in,
const std::string & prefix,
const std::string & postfix,
bool reposition,
Poco::UInt32 start
);

Creates the AutoDetectStream.

## Destructor

### ~AutoDetectStreamBuf

~AutoDetectStreamBuf();

Destroys the AutoDetectStream.

## Member Functions

### readFromDevice

int readFromDevice(
char * buffer,
std::streamsize length
);

### writeToDevice

int writeToDevice(
const char * buffer,
std::streamsize length
);